Saltar al contenido
Closer Marketing

De qué forma reparar el fallo de WordPress: falta el inconveniente de la extensión MySQL

Cuando intento instalar WordPress o visitar su sitio de WordPress, hace aparición un mensaje de error que afirma: «A su instalación de PHP le falta el complemento MySQL requerido por WordPress».

Exactamente la misma con cualquier mensaje de fallo de WordPress, puede ser frustrante conseguir inconvenientes que le impidan utilizar / conocer su lugar de WordPress.

¡Pero no desesperes!

Por lo general, este error quiere decir que hay un problema con el código de su página web y algunas razones previenen que WordPress se conecte a su banco de información MySQL.

En el presente artículo, discutiremos qué podría ser «algo» y brindaremos ciertos avisos para la solución de problemas y cómo solucionar esta leyenda de fallo.

¿Qué causó que a WordPress le faltara un fallo de extensión MySQL?

Como se mentó en la introducción, el mensaje de fallo «A su instalación de PHP le falta el complemento MySQL requerido por WordPress» es un paso hacia ciertos inconvenientes con el código / script en su servidor.

Particularmente, este error quiere decir que el PHP de su servidor no posee las extensiones necesarias para conectar su lugar de WordPress a la banco de información MySQL.

Hay dos razones principales para esta situación:

1. Está usando una versión desactualizada de WordPress y PHP 7+.

Si está utilizando una versión muy antigua de WordPress y una versión moderna de PHP, este error puede ocurrir pues PHP 7.0 no recomienda el uso de extensiones MySQL para aceptar MySQLi. En otras palabras, PHP 7+ ya no incluye la extensión MySQL que busca WordPress.

Las ediciones modernas de WordPress emplean los complementos mucho más nuevos PDO_MySQL o MySQLi en su sitio. No obstante, las ediciones anteriores de WordPress (precedentes a la versión 3.9) tienen la posibilidad de ocasionar este inconveniente.

2. Está utilizando PHP 5.6 o una versión anterior, pero falta el complemento o la configuración es errónea

Otra posible razón es que está utilizando PHP 5.6 (antes que se deshabilitara el complemento de MySQL), pero el complemento falta o está configurado incorrectamente.

Si vió este 👇 fallo antes, sabe lo desepcionante que es no poder acceder a su cibersitio. Por fortuna, solucionar este problema es una solución rápida. Guía ¡Haga clic a continuación para conseguir la guía completa!Haga click para twittear

De qué forma arreglar «Falta la instalación de PHP en el complemento MySQL requerido por WordPress»

Ahora que sabe lo que sucedió, repasemos los consejos para la solución de inconvenientes y la solución de problemas.

1. Verifique la versión de PHP que está utilizando

El paso inicial para diagnosticar este inconveniente es determinar qué versión de PHP se está corriendo en el servidor de su lugar de WordPress. La respuesta a esta pregunta determinará los próximos pasos a seguir.

Puede verificar esto empleando una conexión FTP para conectarse al servidor del lugar de WordPress. Puede obtener su información de inicio de sesión FTP de su host de red y asimismo precisa un cliente FTP para conectarse.

Si su host usa cPanel, puede emplear la herramienta de administración de archivos cPanel.

Después de conectarse al servidor, cree un nuevo fichero llamado phpinfo.php En el directorio raíz de su lugar de WordPress, esta debería ser exactamente la misma carpeta que contiene la carpeta wp-config.php documento.

Entonces edite el fichero y añada el próximo fragmento de código:

phpinfo();
?>

Tras guardar el fichero (y volver a cargar la versión guardada si es requisito), vaya a deinesite.com/phpinfo.php, Asegúrese de cambiar deinesite.com Utilice su dominio real.

Debería ver una pantalla con mucha información diferente sobre la configuración PHP del servidor, desplácese hacia abajo nuclear Parte y búsqueda Versión PHP Mire los números: debería ver algo afín xxx. P.ej. 7.2.25 o 5.6.8:

De qué manera contrastar la versión PHP de su ubicación de WordPress

Si su versión de PHP empieza con el número «7», en general quiere decir que precisa actualizar su programa de WordPress. Por otro lado, si todavía está usando PHP 5.X, es posible que falte el complemento MySQL.

Nota: en Kinsta, aconsejamos encarecidamente utilizar la última versión de PHPEn verdad, no admitimos las versiones PHP 7.3. Estas ediciones anteriores se ejecutan mucho más de manera lenta y pueden representar un riesgo de seguridad para su sitio por el hecho de que por el momento no reciben actualizaciones de seguridad.

Obtenga mucho más información sobre por qué razón es esencial emplear una versión actualizada coincidente de PHP.

2. Actualice su software principal de WordPress

Si su servidor tiene PHP 7+, la razón mucho más posible de este error es que está utilizando una versión anterior de WordPress. La utilización de WordPress 3.9 o previo puede desencadenar este error.

Entonces, la solución es actualizar su software de WordPress, que también trae consigo muchas otras peculiaridades, seguridad y rendimiento.

Si desea actualizar manualmente su versión de WordPress, primero asegúrese de tener una copia de seguridad de su sitio web. Luego vaya a WordPress.org y descargue la última copia de WordPress.

Extraiga el fichero zip en su PC después de descargarlo. Luego abra la carpeta que tiene dentro todos y cada uno de los ficheros de WordPress y elimine los próximos elementos:

  • Esta wp-config-sample.php documento.
  • Esta wp-config.php Fichero (es posible que no vea este fichero; asegúrese de eliminarlo).
  • Esta contenido de wp Carpeta.

Después de eliminar estos elementos, cargue los ficheros / carpetitas restantes a su servidor por medio de FTP. Si el cliente FTP solicita duplicados, pídale que sustituya todos y cada uno de los ficheros:

Cómo reinstalar el software de WordPress

Reinstale archivos existentes sustituyendo archivos que ya están

Cuando el fichero haya terminado de descargarse, su lugar de WordPress debería utilizar la última versión y su problema debería resolverse.

A continuación, asegúrese de que todas y cada una de las extensiones y temas asimismo estén actualizados a la última versión. Puede continuar las normas a continuación:

3. Compruebe si el complemento MySQL está instalado

Si su servidor todavía tiene PHP 5.6 o anterior, es posible que a su servidor le falten los complementos de MySQL requeridos por WordPress.

Si quieres revisar si este es la situacion, vuelve phpinfo.php El archivo que cargó en el servidor en el paso 1.

Halla una parte llamada cualquier cosa mysql o mysqli.

En el momento en que se instala el complemento MySQL, debe examinar Versión de la biblioteca de API del cliente Cosa:

Cómo comprobar si el complemento de WordPress MySQL está instalado

Cómo revisar si el complemento de WordPress MySQL está instalado

Si no se encuentra esta información, quiere decir que el complemento MySQL no está instalado. La mejor solución tiende a ser contactar con los agentes de soporte del host y pedirles que lo instalen por usted.

Comentario – Muy aconsejable aquí asimismo. No utilizar La versión de PHP es inferior a 7.3 pues ya no reciben actualizaciones de seguridad y el rendimiento por el momento no es tan bueno como la nueva versión.

A menos que sea completamente preciso continuar utilizando PHP 5.6 o previo, una mejor solución es actualizar su servidor para actualizar a PHP 7.3+ en lugar de tomarse el tiempo para modificar correctamente la versión previo de PHP. Puede seguir nuestra guía para estudiar de qué manera actualizar la versión PHP de su ubicación de WordPress y también instalar PHP en cualquier servidor.

4.Asegúrese de que el complemento PHP esté configurado adecuadamente

Si está ejecutando PHP 5.6 o previo y tiene complementos, el inconveniente es posible que no esté configurado adecuadamente. 2 problemas recurrentes son:

  • Descarga uno Archivo de configuración Si está usando un servidor Linux, el fichero utilizado en el servidor Windows
  • La ruta del fichero es incorrecta.

Encontrarás tu ubicación Archivo de configuración Presentar en phpinfo.php Archivos que creó previamente:

Cómo encontrar la ruta del archivo php.ini de WordPress

Como encontrar Ruta del fichero php.ini de WordPress

Le recomendamos que primero lleve a cabo una copia de seguridad de un fichero existente descargándolo en su PC local y después intentando eliminarlo Archivo de configuración Presente y vea si puede resolver el inconveniente.

Generalizar

El mensaje «A su instalación de PHP le falta el complemento MySQL requerido por WordPress» es un error frustrante porque semeja muy técnico.

Sin embargo, debería poder usar las instrucciones de este artículo para diagnosticar y arreglar el problema.

Nuestra solución recomendada es asegurarse de que está usando la última versión de PHP y WordPress.

Si está corriendo PHP 7.3+ y WordPress 5.0+, debería poder corregir este error de forma automática y reiniciar su cibersitio mientras diviértete con todas las otras mejoras de desempeño, seguridad y funciones que trae la actualización.


Ahorre tiempo, dinero y maximice el desempeño del lugar:

  • Asistencia instantánea de expertos en hospedaje de WordPress, 24 horas al día, 7 días por semana.
  • Integración de Cloudflare.
  • La audiencia global incluye 28 centros de datos en todo el mundo.
  • Utilice la supervisión integrada del desempeño de las aplicaciones para optimizar.

Todo lo mencionado y mucho más en un solo plan sin contratos a largo plazo, soporte de reubicación y una garantía de devolución de dinero de 30 días. Consulte los planes o hable con un representante de ventas para localizar un plan que funcione para usted.

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *